Sample Code 0.1 20120518

- Main Page
- Classes
- Files

- File List
- File Members

Classes | Functions
animals.lua File Reference

test some classes More...

Go to the source code of this file.

## Classes

class | Animal
| a base class More...
class | Bird
| an abstract bird More...
class | Cat
| a subclassed mammal More...
class | Dog
| another subclassed mammal More...
class | Mammal
| a base mammal More...
class | Pigeon
| a subclassed bird More...
class | RedKite
| another subclassed bird More...

## Functions

function | TIO_write (Str)
| write to stdout
function | TIO_writeln (Str)
| writeln to stdout

## Detailed Description

test some classes

Definition in file animals.lua.

## Function Documentation

function TIO_write | ( | Str |  | ) |

write to stdout

Definition at line 23 of file animals.lua.

function TIO_writeln | ( | Str |  | ) |

writeln to stdout

Definition at line 30 of file animals.lua.